{
  "virtualflag" : 0,
  "psdataentityname" : "NUMSEQRULE",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "NumSeqRule",
  "noviewmode" : 1,
  "createdate" : "2021-01-28 23:08:24",
  "storagemode" : 1,
  "logicname" : "编号器",
  "existingmodel" : 0,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "NUMSEQRULE",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2021-01-28 23:08:24",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "DRGroup",
    "createdate" : "2021-01-28 23:08:28",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-01-28 23:08:26",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "predefinetype" : "CREATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:26",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:26",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:26"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 23:08:26",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "predefinetype" : "CREATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:26",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:26",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:26"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "MEMO",
    "psdatatypename" : "长文本，长度1000",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/MEMO",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Memo",
    "psdatatypeid" : "LONGTEXT_1000",
    "createdate" : "2021-02-01 19:04:37",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "备注",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-01 19:04:37",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[MEMO][备注]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-01 19:04:37",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[MEMO][备注]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "MEMO",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-01 19:04:37"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "NUMSEQRULECODE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/NUMSEQRULECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Numseqrulecode",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-02-02 19:40:32",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "pkey" : 0,
    "length" : 100,
    "logicname" : "编码器代码",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-02-02 19:40:32",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[NUMSEQRULECODE][编码器代码]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-02-02 19:40:32",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[NUMSEQRULECODE][编码器代码]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NUMSEQRULECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-02-02 19:40:32"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "NUMSEQRULEID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/NUMSEQRULEID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "NumSeqRuleId",
    "psdatatypeid" : "GUID",
    "createdate" : "2021-01-28 23:08:24",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "pkey" : 1,
    "length" : 100,
    "logicname" : "编号器标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:25",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[NUMSEQRULEID][编号器标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:25",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[NUMSEQRULEID][编号器标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NUMSEQRULEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:24"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "NUMSEQRULENAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/NUMSEQRULENAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "NumSeqRuleName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 23:08:25",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "编号器名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:25",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[NUMSEQRULENAME][编号器名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:25",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[NUMSEQRULENAME][编号器名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_NUMSEQRULENAME_LIKE",
      "createdate" : "2021-01-28 23:08:25"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "NUMSEQRULENAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:25"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2021-01-28 23:08:27",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "predefinetype" : "UPDATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:27",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:27",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:27"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/NUMSEQRULE/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2021-01-28 23:08:26",
    "psdetableid" : "<PSDATAENTITY>/NUMSEQRULE",
    "predefinetype" : "UPDATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "T_NUMSEQRULE",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2021-01-28 23:08:27",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2021-01-28 23:08:27",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2021-01-28 23:08:26"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2021-01-28 23:08:24",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2021-01-28 23:08:24",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2021-01-28 23:08:24",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2021-01-28 23:08:24",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/NUMSEQRULE",
    "psdetablename" : "NUMSEQRULE",
    "tabletype" : "MAIN",
    "createdate" : "2021-01-28 23:08:53",
    "colinheritmode" : 1
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `NUMSEQRULE`(\n`NUMSEQRULEID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '编号器标识' \n,`NUMSEQRULENAME`  VARCHAR(200) COMMENT '编号器名称' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`MEMO`  VARCHAR(2000) COMMENT '备注' \n,`NUMSEQRULECODE`  VARCHAR(100) COMMENT '编码器代码' \n)COMMENT='编号器';",
    "testsql" : "SELECT 1 FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "97f9461d1bce13ddb58fd09cfd594edf",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NUMSEQRULE",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "2a30e61a37f8d14f1017abd4d6224522",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "38c20605a40f06d93b50a404917ea808",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.MEMO",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `MEMO`  VARCHAR(2000)  COMMENT '备注' \n",
    "testsql" : "SELECT `MEMO` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "2caad2a27e057d68fb86b194f48db68a",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "MEMO",
    "createdate" : "2021-02-01 19:06:39"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.NUMSEQRULECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `NUMSEQRULECODE`  VARCHAR(100)  COMMENT '编码器代码' \n",
    "testsql" : "SELECT `NUMSEQRULECODE` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "19bc429f546ed9b4f8697167f3e78c40",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NUMSEQRULECODE",
    "createdate" : "2021-02-02 19:46:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.NUMSEQRULEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `NUMSEQRULEID`  VARCHAR(100)  COMMENT '编号器标识' \n",
    "testsql" : "SELECT `NUMSEQRULEID` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "a829dcacc83dabb2ea879f0ce5531e5e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NUMSEQRULEID",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.NUMSEQRULENAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `NUMSEQRULENAME`  VARCHAR(200)  COMMENT '编号器名称' \n",
    "testsql" : "SELECT `NUMSEQRULENAME` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "b34da2a592634b43dc8218f28d0e15ac",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "NUMSEQRULENAME",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "809a1e8d842063e76c272b687230861b",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2021-01-28 23:13:21"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "NUMSEQRULE.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `NUMSEQRULE`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `NUMSEQRULE` WHERE 1<>1",
    "psobjid" : "84083c59dd7d6227a24f0349763cd45f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2021-01-28 23:13:21"
  } ]
}